org.kie.internal.agent

## Interface KnowledgeAgentProvider

-     public interface KnowledgeAgentProvider

  KnowledgeAgentProvider is used by the KnowledgeAgentFactory to "provide" it's concrete implementation. This class is not considered stable and may change, the user is protected from this change by using the Factory api, which is considered stable.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `KnowledgeAgent` | `newKnowledgeAgent(String name, KnowledgeBase kbase)`
    `KnowledgeAgent` | `newKnowledgeAgent(String name, KnowledgeBase kbase, KnowledgeAgentConfiguration configuration)`
    `KnowledgeAgent` | `newKnowledgeAgent(String name, KnowledgeBase kbase, KnowledgeAgentConfiguration configuration, KnowledgeBuilderConfiguration builderConfiguration)`
    `KnowledgeAgentConfiguration` | `newKnowledgeAgentConfiguration()`
    `KnowledgeAgentConfiguration` | `newKnowledgeAgentConfiguration(Properties properties)`

- - ### Method Detail

    - #### newKnowledgeAgentConfiguration

          KnowledgeAgentConfiguration newKnowledgeAgentConfiguration()

    - #### newKnowledgeAgentConfiguration

          KnowledgeAgentConfiguration newKnowledgeAgentConfiguration(Properties properties)

    - #### newKnowledgeAgent

          KnowledgeAgent newKnowledgeAgent(String name,
                                         KnowledgeBase kbase)

    - #### newKnowledgeAgent

          KnowledgeAgent newKnowledgeAgent(String name,
                                         KnowledgeBase kbase,
                                         KnowledgeAgentConfiguration configuration)

    - #### newKnowledgeAgent

          KnowledgeAgent newKnowledgeAgent(String name,
                                         KnowledgeBase kbase,
                                         KnowledgeAgentConfiguration configuration,
                                         KnowledgeBuilderConfiguration builderConfiguration)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.